Retrieve all VPCs

View as Markdown

Retrieve all VPCs for the org.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptionalformat: "uuid"
Filter VPCs by Site ID. Can be specified multiple times to filter on more than one Site.
statusstringOptional
Filter VPCs by Status. Can be specified multiple times to filter on more than one Status.
networkSecurityGroupIdstringOptional
Filter VPCs by Network Security Group ID. Can be specified multiple times to filter on more than one Network Security Group.
nvLinkLogicalPartitionIdstringOptionalformat: "uuid"
Filter VPCs by NVLink Logical Partition ID. Can be specified multiple times to filter on more than one NVLink Logical Partition.
querystringOptional
Search for matches across all VPCs. Input will be matched against name, description, labels, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional>=1Defaults to 1
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-Paginationstring
Pagination result in JSON format

Response

OK
idstringRead-onlyformat: "uuid"
ID of the VPC
namestring2-256 characters
Name of the VPC
descriptionstring or null
Description of the VPC, can be empty
orgstringRead-only
Organization the VPC belongs to
tenantIdstringRead-onlyformat: "uuid"
ID of the Tenant the VPC belongs to
siteIdstringformat: "uuid"
ID of the Site the VPC belongs to
controllerVpcIdstring or nullformat: "uuid"
Legacy attribute, contains the same value as ID
networkVirtualizationTypeenum

Network virtualization type of the VPC. Flat VPCs hold instances on zero-DPU hosts (or hosts with their DPU in NIC mode); their interfaces are bound to underlay (HostInband) network segments and NICo does not drive their data plane.

routingProfilestring or null3-64 characters

Routing profile type for the VPC. Populated when Site has Native Networking enabled and network virtualization type is FNN.

requestedVniinteger or nullRead-only1-65535
Explicitly requested VNI for the VPC if one was requested at creation time
vniinteger or nullRead-only1-65535
Active VNI assigned to the VPC
networkSecurityGroupIdstring or null
ID of the Network Security Group attached to the VPC
networkSecurityGroupPropagationDetailsobject
Propagation details for the attached Network Security Group
nvLinkLogicalPartitionIdstring or nullformat: "uuid"
ID of the default NVLink Logical Partition that GPUs for all Instances in the VPC will attach to
labelsmap from strings to strings

String key-value pairs describing VPC labels

statusenum
Status of the VPC
statusHistorylist of objectsRead-only
History of status changes for the VPC
createddatetimeRead-only

Date/time when VPC was created

updateddatetimeRead-only

Date/time when VPC was last updated

Errors

403
Forbidden Error